Create job from connector asynchronous download task
Creates the job in project specified by path param projectUid. Source file is defined by downloadTaskId parameter. That is value of finished download async task Connector - Download file (async).
Please supply job metadata in body.
Accepted metadata:
targetLangs- requireddue- ISO 8601workflowSettings- project with workflow - see examples bellowassignments- project without workflows - see examples bellowimportSettings- re-usable import settings - see Create import settingsuseProjectFileImportSettings- mutually exclusive with importSettingscallbackUrl- consumer callbackpath- original destination directorypreTranslate- set pre translate job after importsemanticMarkup- set semantic markup processing after import when enabled for organizationxmlAssistantProfile- apply XML import settings defined using XML assistant
Create job simple (without workflow steps, without assignments):
{
"targetLangs": [
"cs_cz",
"es_es"
]
}
Create and assign job in project without workflow step:
{
"targetLangs": [
"cs_cz"
],
"callbackUrl": "https://my-shiny-service.com/consumeCallback",
"importSettings": {
"uid": "abcd123"
},
"due": "2007-12-03T10:15:30.00Z",
"path": "destination directory",
"assignments": [
{
"targetLang": "cs_cz",
"providers": [
{
"id": "4321",
"type": "USER"
}
]
}
],
"notifyProvider": {
"organizationEmailTemplate": {
"id": "39"
},
"notificationIntervalInMinutes": "10"
}
}
Create and assign job in project with workflow step:
{
"targetLangs": [
"de"
],
"useProjectFileImportSettings": "true",
"workflowSettings": [
{
"id": "64",
"due": "2007-12-03T10:15:30.00Z",
"assignments": [
{
"targetLang": "de",
"providers": [
{
"id": "3",
"type": "VENDOR"
}
]
}
],
"notifyProvider": {
"organizationEmailTemplate": {
"id": "39"
},
"notificationIntervalInMinutes": "10"
}
}
]
}
Documentation Index
Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
only use for projects without workflows; otherwise specify in the workflowSettings object
only use for projects without workflows; otherwise specify in the workflowSettings object. Use ISO 8601 date format.
255Default: false